> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Many Invoices

> Query a list of invoices



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/invoices
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/invoices:
    get:
      tags:
        - Invoices
      summary: Get Many Invoices
      description: Query a list of invoices
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 10
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  invoices:
                    items:
                      description: columns and relationships of "invoices"
                      nullable: false
                      properties:
                        balance:
                          $ref: '#/components/schemas/bigint'
                        companyDivision:
                          nullable: true
                          title: String
                          type: string
                        createdAt:
                          $ref: '#/components/schemas/timestamptz'
                        customerId:
                          nullable: true
                          title: String
                          type: string
                        customerReferenceNumber:
                          nullable: true
                          title: String
                          type: string
                        dueDate:
                          $ref: '#/components/schemas/date'
                        exceptions:
                          items:
                            description: Exceptions
                            nullable: false
                            properties:
                              details:
                                $ref: '#/components/schemas/jsonb'
                              id:
                                nullable: false
                                title: String
                                type: string
                              status:
                                $ref: '#/components/schemas/ExceptionStatusEnum'
                              type:
                                $ref: '#/components/schemas/ExceptionTypeEnum'
                            title: Exceptions
                            type: object
                          nullable: false
                          type: array
                        id:
                          nullable: false
                          title: String
                          type: string
                        invoiceLineItems:
                          items:
                            description: columns and relationships of "invoice_line_items"
                            nullable: false
                            properties:
                              createdAt:
                                $ref: '#/components/schemas/timestamptz'
                              id:
                                nullable: false
                                title: String
                                type: string
                              item:
                                nullable: true
                                title: String
                                type: string
                              remoteId:
                                nullable: true
                                title: String
                                type: string
                              sourceSystem:
                                nullable: true
                                title: String
                                type: string
                              sourceSystemId:
                                nullable: true
                                title: String
                                type: string
                              totalAmount:
                                nullable: true
                                title: Int
                                type: integer
                              updatedAt:
                                $ref: '#/components/schemas/timestamptz'
                            title: InvoiceLineItems
                            type: object
                          nullable: false
                          type: array
                        invoiceShipments:
                          items:
                            description: columns and relationships of "invoice_shipments"
                            nullable: false
                            properties:
                              shipment:
                                description: columns and relationships of "shipments"
                                nullable: false
                                properties:
                                  consigneeAddress:
                                    description: columns and relationships of "addresses"
                                    nullable: true
                                    properties:
                                      city:
                                        nullable: true
                                        title: String
                                        type: string
                                      companyName:
                                        nullable: true
                                        title: String
                                        type: string
                                      country:
                                        $ref: '#/components/schemas/CountryCodeEnum'
                                      id:
                                        nullable: false
                                        title: String
                                        type: string
                                      name:
                                        nullable: true
                                        title: String
                                        type: string
                                      phoneNumber:
                                        nullable: true
                                        title: String
                                        type: string
                                      stateOrProvince:
                                        nullable: true
                                        title: String
                                        type: string
                                      streetLine1:
                                        nullable: true
                                        title: String
                                        type: string
                                      streetLine2:
                                        nullable: true
                                        title: String
                                        type: string
                                      zipOrPostalCode:
                                        nullable: true
                                        title: String
                                        type: string
                                    title: Addresses
                                    type: object
                                  createdAt:
                                    $ref: '#/components/schemas/timestamptz'
                                  currency:
                                    $ref: '#/components/schemas/CurrencyCodeEnum'
                                  customerId:
                                    nullable: true
                                    title: String
                                    type: string
                                  deliveredAt:
                                    $ref: '#/components/schemas/timestamp'
                                  id:
                                    nullable: false
                                    title: String
                                    type: string
                                  invoiceId:
                                    nullable: true
                                    title: String
                                    type: string
                                  loadDescription:
                                    nullable: true
                                    title: String
                                    type: string
                                  pickupAddress:
                                    description: columns and relationships of "addresses"
                                    nullable: true
                                    properties:
                                      city:
                                        nullable: true
                                        title: String
                                        type: string
                                      companyName:
                                        nullable: true
                                        title: String
                                        type: string
                                      country:
                                        $ref: '#/components/schemas/CountryCodeEnum'
                                      id:
                                        nullable: false
                                        title: String
                                        type: string
                                      name:
                                        nullable: true
                                        title: String
                                        type: string
                                      phoneNumber:
                                        nullable: true
                                        title: String
                                        type: string
                                      stateOrProvince:
                                        nullable: true
                                        title: String
                                        type: string
                                      streetLine1:
                                        nullable: true
                                        title: String
                                        type: string
                                      streetLine2:
                                        nullable: true
                                        title: String
                                        type: string
                                      zipOrPostalCode:
                                        nullable: true
                                        title: String
                                        type: string
                                    title: Addresses
                                    type: object
                                  pickupAt:
                                    $ref: '#/components/schemas/timestamp'
                                  shipmentId:
                                    nullable: false
                                    title: String
                                    type: string
                                  status:
                                    nullable: true
                                    title: String
                                    type: string
                                  stops:
                                    items:
                                      description: columns and relationships of "stops"
                                      nullable: false
                                      properties:
                                        address:
                                          description: columns and relationships of "addresses"
                                          nullable: true
                                          properties:
                                            city:
                                              nullable: true
                                              title: String
                                              type: string
                                            companyName:
                                              nullable: true
                                              title: String
                                              type: string
                                            country:
                                              $ref: '#/components/schemas/CountryCodeEnum'
                                            id:
                                              nullable: false
                                              title: String
                                              type: string
                                            name:
                                              nullable: true
                                              title: String
                                              type: string
                                            phoneNumber:
                                              nullable: true
                                              title: String
                                              type: string
                                            stateOrProvince:
                                              nullable: true
                                              title: String
                                              type: string
                                            streetLine1:
                                              nullable: true
                                              title: String
                                              type: string
                                            streetLine2:
                                              nullable: true
                                              title: String
                                              type: string
                                            zipOrPostalCode:
                                              nullable: true
                                              title: String
                                              type: string
                                          title: Addresses
                                          type: object
                                        id:
                                          nullable: false
                                          title: String
                                          type: string
                                        metadata:
                                          nullable: true
                                          title: String
                                          type: string
                                        pieceCount:
                                          nullable: true
                                          title: Int
                                          type: integer
                                        sequenceNumber:
                                          nullable: true
                                          title: Int
                                          type: integer
                                        stopType:
                                          nullable: true
                                          title: String
                                          type: string
                                        weightAmount:
                                          $ref: '#/components/schemas/float8'
                                        weightUnit:
                                          nullable: true
                                          title: String
                                          type: string
                                      title: Stops
                                      type: object
                                    nullable: false
                                    type: array
                                  trailerNumber:
                                    nullable: true
                                    title: String
                                    type: string
                                  updatedAt:
                                    $ref: '#/components/schemas/timestamptz'
                                  volume:
                                    $ref: '#/components/schemas/float8'
                                  volumeUnit:
                                    nullable: true
                                    title: String
                                    type: string
                                  weight:
                                    $ref: '#/components/schemas/float8'
                                  weightUnit:
                                    nullable: true
                                    title: String
                                    type: string
                                title: Shipments
                                type: object
                            title: InvoiceShipments
                            type: object
                          nullable: false
                          type: array
                        issueDate:
                          $ref: '#/components/schemas/date'
                        metadata:
                          $ref: '#/components/schemas/jsonb'
                        missingDocuments:
                          nullable: true
                          title: String
                          type: string
                        number:
                          nullable: false
                          title: String
                          type: string
                        portalSlug:
                          nullable: true
                          title: String
                          type: string
                        referenceNumbers:
                          $ref: '#/components/schemas/jsonb'
                        sourceSystem:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemId:
                          nullable: true
                          title: String
                          type: string
                        status:
                          $ref: '#/components/schemas/InvoiceStatusEnum'
                        totalAmount:
                          $ref: '#/components/schemas/bigint'
                        totalTaxAmount:
                          $ref: '#/components/schemas/bigint'
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz'
                      title: Invoices
                      type: object
                    nullable: false
                    type: array
                  invoicesAggregate:
                    description: aggregated selection of "invoices"
                    nullable: false
                    properties:
                      aggregate:
                        description: aggregate fields of "invoices"
                        nullable: true
                        properties:
                          avg:
                            description: aggregate avg on columns
                            nullable: true
                            properties:
                              balance:
                                nullable: true
                                title: Float
                                type: number
                              totalAmount:
                                nullable: true
                                title: Float
                                type: number
                              totalTaxAmount:
                                nullable: true
                                title: Float
                                type: number
                            title: InvoicesAvgFields
                            type: object
                          count:
                            nullable: false
                            title: Int
                            type: integer
                          sum:
                            description: aggregate sum on columns
                            nullable: true
                            properties:
                              balance:
                                $ref: '#/components/schemas/bigint'
                              totalAmount:
                                $ref: '#/components/schemas/bigint'
                              totalTaxAmount:
                                $ref: '#/components/schemas/bigint'
                            title: InvoicesSumFields
                            type: object
                        title: InvoicesAggregateFields
                        type: object
                    title: InvoicesAggregate
                    type: object
          description: Responses for GET /api/rest/invoices
components:
  schemas:
    bigint:
      nullable: false
      title: bigint
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    date:
      nullable: false
      title: date
      type: string
      format: date
      description: A date string, such as 2024-02-03 (YYYY-MM-DD)
    jsonb:
      nullable: false
      title: jsonb
    ExceptionStatusEnum:
      enum:
        - CLOSED
        - IN_PROGRESS
        - OPEN
        - RESOLVED
        - RULE_DISABLED
      nullable: false
      title: ExceptionStatusEnum
    ExceptionTypeEnum:
      enum:
        - CARRIER_INVOICE_BOL_PO_NUMBER_MISMATCH
        - CARRIER_INVOICE_HAS_LUMPER_LINE_ITEM_AND_NO_LUMPER_RECEIPT
        - CARRIER_INVOICE_MISSING
        - CARRIER_INVOICE_MISSING_ISSUE_DATE
        - CARRIER_INVOICE_MISSING_POD
        - CARRIER_INVOICE_MISSING_POD_FOR_EACH_DELIVERY_STOP
        - CARRIER_INVOICE_MISSING_RATE_CONFIRMATION
        - CARRIER_INVOICE_MISSING_SIGNED_BY
        - CARRIER_INVOICE_TOTAL_AMOUNT_BILL_TOTAL_AMOUNT_MISMATCH
        - CARRIER_INVOICE_TOTAL_AMOUNT_MISMATCH
        - CARRIER_INVOICE_TOTAL_AMOUNT_MISMATCH_BILL_OR_SHIPMENT
        - CARRIER_INVOICE_TOTAL_AMOUNT_SHIPMENT_CARRIER_TOTAL_RATE_MISMATCH
        - CARRIER_NAME_MISMATCH
        - CARRIER_NAME_MISMATCH_BILL_OR_SHIPMENT
        - CARRIER_NAME_MISMATCH_WITH_ASSIGNED_CARRIER
        - CARRIER_NAME_MISMATCH_WITH_BILL
        - CARRIER_NAME_MISMATCH_WITH_SHIPMENT
        - CARRIER_PAY_FROZEN
        - CUSTOMER_INVOICE_EXCEPTION
        - CUSTOMER_INVOICE_HAS_LUMPER_LINE_ITEM_AND_NO_LUMPER_RECEIPT
        - CUSTOMER_INVOICE_MISSING_BOL
        - CUSTOMER_INVOICE_MISSING_INVOICE_COPY
        - CUSTOMER_INVOICE_MISSING_POD
        - CUSTOMER_INVOICE_MISSING_RATE_CONFIRMATION
        - CUSTOMER_INVOICE_POST_DELIVERY_HOLD
        - DAMAGE_OR_SHORTAGE
        - DOCUMENT_LOAD_NUMBER_MISMATCH
        - DOCUMENT_NOT_LEGIBLE
        - DOCUMENT_SEVERE_MISCLASSIFICATION
        - FINAL_CHECK_PACKET_VALIDATION
        - INVOICE_AMOUNT_MISMATCH
        - MATCHING_INVOICE_NOT_FOUND
        - MISSING_CUSTOMER
        - MULTIPLE_MATCHING_INVOICES_FOUND
        - NO_ASSIGNED_CARRIER
        - NO_CARRIER_NAME
        - NO_MATCHING_BILL
        - NO_MATCHING_SHIPMENT
        - OTHER
        - OVERPAYMENT
        - REMITTANCE_LINE_ITEMS_EXCEPTION
        - REMIT_TO_MISMATCH
        - SHIPMENT_ON_HOLD
        - SHIPPER_INVOICE_DOCUMENT_RULES_EXCEPTION
        - TMS_INCIDENT
        - TMS_STATUS_MISMATCH
        - UNDERPAYMENT
        - UNRESOLVED_BILLING_ROUTE
      nullable: false
      title: ExceptionTypeEnum
    CountryCodeEnum:
      enum:
        - AD
        - AE
        - AF
        - AG
        - AL
        - AM
        - AO
        - AR
        - AT
        - AU
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BN
        - BO
        - BR
        - BS
        - BT
        - BW
        - BY
        - BZ
        - CA
        - CD
        - CF
        - CG
        - CH
        - CI
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FM
        - FR
        - GA
        - GB
        - GD
        - GE
        - GH
        - GM
        - GN
        - GQ
        - GR
        - GT
        - GW
        - GY
        - HK
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IN
        - IQ
        - IR
        - IS
        - IT
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MR
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NE
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NZ
        - OM
        - PA
        - PE
        - PG
        - PH
        - PK
        - PL
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SI
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SY
        - SZ
        - TD
        - TG
        - TH
        - TJ
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VN
        - VU
        - WS
        - YE
        - ZA
        - ZM
        - ZW
      nullable: false
      title: CountryCodeEnum
    CurrencyCodeEnum:
      enum:
        - AED
        - AUD
        - BRL
        - CAD
        - CHF
        - CNY
        - EGP
        - EUR
        - GBP
        - HKD
        - IDR
        - INR
        - JPY
        - KRW
        - MXN
        - MYR
        - NZD
        - QAR
        - SAR
        - SGD
        - THB
        - TRY
        - TWD
        - USD
        - VND
        - ZAR
      nullable: false
      title: CurrencyCodeEnum
    timestamp:
      nullable: false
      title: timestamp
    float8:
      nullable: false
      title: float8
    InvoiceStatusEnum:
      enum:
        - APPROVED
        - CANCELLED
        - CREATED
        - DELIVERED
        - DISPUTED
        - DRAFT
        - OPEN
        - OVERDUE
        - PAID
        - PART_PAID
        - PORTAL_EXCEPTION
        - PORTAL_RESOLVED
        - PROCESSING
        - REFUNDED
        - REJECTED
        - SEND_ERROR
        - SENT
        - VIEWED
        - WRITE_OFF
      nullable: false
      title: InvoiceStatusEnum

````